Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor
Class ProfilingActivationInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          org.apache.struts2.interceptor.ProfilingActivationInterceptor

All Implemented Interfaces:
  Interceptor, Serializable

    public class ProfilingActivationInterceptor

extends AbstractInterceptor

Allows profiling to be enabled or disabled via request parameters, when devMode is enabled.

- profilingKey

none

     // to change the profiling key
     <action ...>
       ...
       <interceptor-ref name="profiling">
          <param name="profilingKey">profilingKey</param>
       </interceptor-ref>
       ...
     </action>

Version:
  $Date$ $Id$
See Also:
  Serialized Form

Constructor Summary
`ProfilingActivationInterceptor()`

Method Summary
`String` | `getProfilingKey()`
`String` | `intercept(ActionInvocation invocation)`
`void` | `setDevMode(String mode)`
`void` | `setProfilingKey(String profilingKey)`

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilingActivationInterceptor

    public ProfilingActivationInterceptor()

Method Detail

### getProfilingKey

    public String getProfilingKey()

  Returns:
    the profilingKey

### setProfilingKey

    public void setProfilingKey(String profilingKey)

  Parameters:
    `profilingKey` - the profilingKey to set

### setDevMode

    public void setDevMode(String mode)

### intercept

    public String intercept(ActionInvocation invocation)
                     throws Exception

  Specified by:
    `intercept` in interface `Interceptor`
  Specified by:
    `intercept` in class `AbstractInterceptor`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.